> For the complete documentation index, see [llms.txt](https://docs.pascom.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pascom.net/en/reference/howto/dhcp-provisioning.md).

# Telephone Provisioning via DHCP

Instead of coupling each individual desktop phone with the PASCOM cloud phone system via provisioning URLs, you can also automatically distribute the provisioning URLs via DHCP

{% hint style="warning" %}
DHCP provisioning is only possible if a corresponding [VPN connection](/en/setup/endpoints/vpn-connector.md) has been established between the local network and the PASCOM telephone system!
{% endhint %}

## Using your Own DHCP Server

As a DHCP servers are already available in almost ever local network, it is recommended to update this DHCP server to deliver the provisioning URLs to the desktop phones.

### Configure the DHCP Server

{% hint style="success" %}
On Windows DHCP servers (or DHCP servers which follow this options schema), you will now need to set the **DHCP Option** **66** and possibly **67**. With Linux/Unix DHCP servers these options are known as **tftp-server-name** and **filename**.
{% endhint %}

The provisioning URLs differ depending on the telephones to be deployed.

As soon as the VPN connection has been set up on the PASCOM, the provisioning URLs change. The path looks like this.

| Phone Manufacturer                  | Option 66 (tftp-server-name)                | Option 67 (filename) |
| ----------------------------------- | ------------------------------------------- | -------------------- |
| Snom                                | http\://\[your\_VPN\_IP]/provisioning/{mac} |                      |
| Yealink, Grandstream, Aastra, Mitel | http\://\[your\_VPN\_IP]/provisioning/      |                      |
| Auerswald                           | http\://\[your\_VPN\_IP]/provisioning/      | \<MACADR>            |

Should you only wish to send these options exclusively to telephones, then you can restrict the use of the option to the manufactures used by you:

| Phone Manufacturer | MAC address       |
| ------------------ | ----------------- |
| Snom               | 00-04-13-\*-\*-\* |
| Yealink            | 00-15-65-\*-\*-\* |
| Grandstream        | 00-0B-82-\*-\*-\* |
| Aastra             | 00-08-5D-\*-\*-\* |
| Auerswald          | 00-09-52-\*-\*-\* |

### Test the Provisioning

Reset your Desktop phones to factory settings. Should the DHCP function with the correct options, the desktop phone will be configured automatically. If the provisioning process was succesful, you will now see "Emergency Only" or a username or location name in the telephone display.

**As soon as your endpoints have been provisioned via the VPN connection, the audio stream of your calls will also run via the VPN connection**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pascom.net/en/reference/howto/dhcp-provisioning.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
